Subject: Fwd: IANA considerations confusion

From: Fred Baker <[email-masked]>
Date: Wed, 24 May 2006 08:35:02 -0700

FYI. I don't think this is especially relevant in this WG, as we  
don't do protocols. But if you have issues with IANA considerations,  
you might read the I-D for guidance.

Begin forwarded message:

> From: <[email-masked]>
> Date: May 24, 2006 1:30:44 AM PDT
> To: <[email-masked]>
> Subject: IANA considerations confusion
>
> Hi,
>
> During the past two months alone, I've encountered two different
> cases where a document author, even having read RFC2434, believed
> that the "IANA Considerations" section has to include only new
> registries created in the document, but not values registered in
> existing registries.
>
> In one of these cases, this mistake was not caught until well after
> the RFC had been published (the authors had provided "suggested"
> values instead of TBD-BY-IANA). Fortunately, IANA had not yet
> allocated these values for any other document.
>
> Thus, I'd recommend pointing your document authors to the much
> better instructions in draft-narten-iana-considerations-rfc2434bis,
> and checking the documents extra carefully if the IANA Considerations
> section does not include any registrations in existing namespaces.
>
> Or even more strongly: if the document only creates new registries,
> I'd suggest including an explicit "This document does not require
> IANA to assign any values in existing registries" statement.
>
> Best regards,
> Pasi